public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: sci-libs/mumps/
@ 2018-10-08 17:56 Matthias Maier
  0 siblings, 0 replies; 19+ messages in thread
From: Matthias Maier @ 2018-10-08 17:56 UTC (permalink / raw
  To: gentoo-commits

commit:     d0feaf39eeeb49c7e0954504e6c847d5a27be50e
Author:     Matthias Maier <tamiko <AT> gentoo <DOT> org>
AuthorDate: Mon Oct  8 17:49:42 2018 +0000
Commit:     Matthias Maier <tamiko <AT> gentoo <DOT> org>
CommitDate: Mon Oct  8 17:55:50 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d0feaf39

sci-libs/mumps: version bump to 5.1.2

Signed-off-by: Matthias Maier <tamiko <AT> gentoo.org>
Package-Manager: Portage-2.3.50, Repoman-2.3.11

 sci-libs/mumps/Manifest           |   1 +
 sci-libs/mumps/mumps-5.1.2.ebuild | 186 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 187 insertions(+)

diff --git a/sci-libs/mumps/Manifest b/sci-libs/mumps/Manifest
index fa2f846fabd..973e51a036a 100644
--- a/sci-libs/mumps/Manifest
+++ b/sci-libs/mumps/Manifest
@@ -1 +1,2 @@
 DIST MUMPS_4.10.0.tar.gz 2481516 BLAKE2B ddd3f28bf9627806e9bb5597adc94e2b8f504adf220a8a64ea50630edbde75358bd97e91a53ebd341132a34db5d7248d32a892a060bdf8f205c8aac3b9c88722 SHA512 348df048618ea2086fbe805a90f2e31f57e0db4aa6f4843a0e3c7142bac80fe45e54768e65921657c970bc286b59c2bca91e5006ed8000678f26ba2efe2bfda8
+DIST MUMPS_5.1.2.tar.gz 3351215 BLAKE2B 1c77c2a217c101245a9a96a59be6b9bfd67ceffa603d807b5a7173026c5c33e2c4de78c14833d7b7f0a90130b9ebc0ac9c7d4ebfbf881d0bd2210a542887c239 SHA512 38a63b14a8df835be68b5fa310b39aa1815799220d56c176e4005797800959e9e08c9a6bf11d308ab82ea40b6f34d36072cebe7c1de39e0c314eb138b93f1b74

diff --git a/sci-libs/mumps/mumps-5.1.2.ebuild b/sci-libs/mumps/mumps-5.1.2.ebuild
new file mode 100644
index 00000000000..725e1ab60e6
--- /dev/null
+++ b/sci-libs/mumps/mumps-5.1.2.ebuild
@@ -0,0 +1,186 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit eutils toolchain-funcs flag-o-matic versionator fortran-2 multilib
+
+MYP=MUMPS_${PV}
+
+DESCRIPTION="MUltifrontal Massively Parallel sparse direct matrix Solver"
+HOMEPAGE="http://mumps.enseeiht.fr/"
+SRC_URI="${HOMEPAGE}${MYP}.tar.gz"
+
+LICENSE="public-domain"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc examples metis mpi +scotch static-libs"
+
+RDEPEND="
+	virtual/blas
+	metis? ( || ( sci-libs/metis <sci-libs/parmetis-4 )
+		mpi? ( <sci-libs/parmetis-4 ) )
+	scotch? ( <sci-libs/scotch-6[mpi=] )
+	mpi? ( sci-libs/scalapack )"
+
+DEPEND="${RDEPEND}
+	virtual/pkgconfig"
+
+S="${WORKDIR}/${MYP}"
+
+static_to_shared() {
+	local libstatic=${1}; shift
+	local libname=$(basename ${libstatic%.a})
+	local soname=${libname}$(get_libname $(get_version_component_range 1-2))
+	local libdir=$(dirname ${libstatic})
+
+	einfo "Making ${soname} from ${libstatic}"
+	if [[ ${CHOST} == *-darwin* ]] ; then
+		${LINK:-$(tc-getCC)} ${LDFLAGS}  \
+			-dynamiclib -install_name "${EPREFIX}"/usr/lib/"${soname}" \
+			-Wl,-all_load -Wl,${libstatic} \
+			"$@" -o ${libdir}/${soname} || die "${soname} failed"
+	else
+		${LINK:-$(tc-getCC)} ${LDFLAGS}  \
+			-shared -Wl,-soname=${soname} \
+			-Wl,--whole-archive ${libstatic} -Wl,--no-whole-archive \
+			"$@" -o ${libdir}/${soname} || die "${soname} failed"
+		[[ $(get_version_component_count) -gt 1 ]] && \
+			ln -s ${soname} ${libdir}/${libname}$(get_libname $(get_major_version))
+		ln -s ${soname} ${libdir}/${libname}$(get_libname)
+	fi
+}
+
+src_prepare() {
+	sed -e "s:^\(CC\s*=\).*:\1$(tc-getCC):" \
+		-e "s:^\(FC\s*=\).*:\1$(tc-getFC):" \
+		-e "s:^\(FL\s*=\).*:\1$(tc-getFC):" \
+		-e "s:^\(AR\s*=\).*:\1$(tc-getAR) cr :" \
+		-e "s:^\(RANLIB\s*=\).*:\1$(tc-getRANLIB):" \
+		-e "s:^\(LIBBLAS\s*=\).*:\1$($(tc-getPKG_CONFIG) --libs blas):" \
+		-e "s:^\(INCPAR\s*=\).*:\1:" \
+		-e 's:^\(LIBPAR\s*=\).*:\1$(SCALAP):' \
+		-e "s:^\(OPTF\s*=\).*:\1${FFLAGS} -DALLOW_NON_INIT \$(PIC):" \
+		-e "s:^\(OPTC\s*=\).*:\1${CFLAGS} \$(PIC):" \
+		-e "s:^\(OPTL\s*=\).*:\1${LDFLAGS}:" \
+		Make.inc/Makefile.inc.generic > Makefile.inc || die
+	# fixed a missing copy of libseq to libdir
+
+	default
+}
+
+src_configure() {
+	LIBADD="$($(tc-getPKG_CONFIG) --libs blas) -Llib -lpord"
+	local ord="-Dpord"
+	if use metis && use mpi; then
+		sed -i \
+			-e "s:#\s*\(LMETIS\s*=\).*:\1$($(tc-getPKG_CONFIG) --libs parmetis):" \
+			-e "s:#\s*\(IMETIS\s*=\).*:\1$($(tc-getPKG_CONFIG) --cflags parmetis):" \
+			Makefile.inc || die
+		LIBADD="${LIBADD} $($(tc-getPKG_CONFIG) --libs parmetis)"
+		ord="${ord} -Dparmetis"
+	elif use metis; then
+		sed -i \
+			-e "s:#\s*\(LMETIS\s*=\).*:\1$($(tc-getPKG_CONFIG) --libs metis):" \
+			-e "s:#\s*\(IMETIS\s*=\).*:\1$($(tc-getPKG_CONFIG) --cflags metis):" \
+			Makefile.inc || die
+		LIBADD="${LIBADD} $($(tc-getPKG_CONFIG) --libs metis)"
+		ord="${ord} -Dmetis"
+	fi
+	if use scotch && use mpi; then
+		sed -i \
+			-e "s:#\s*\(LSCOTCH\s*=\).*:\1-lptesmumps -lptscotch -lptscotcherr:" \
+			-e "s:#\s*\(ISCOTCH\s*=\).*:\1-I${EROOT}usr/include/scotch:" \
+			Makefile.inc || die
+		LIBADD="${LIBADD} -lptesmumps -lptscotch -lptscotcherr"
+		ord="${ord} -Dptscotch"
+	elif use scotch; then
+		sed -i \
+			-e "s:#\s*\(LSCOTCH\s*=\).*:\1-lesmumps -lscotch -lscotcherr:" \
+			-e "s:#\s*\(ISCOTCH\s*=\).*:\1-I${EROOT}usr/include/scotch:" \
+			Makefile.inc || die
+		LIBADD="${LIBADD} -lesmumps -lscotch -lscotcherr"
+		ord="${ord} -Dscotch"
+	fi
+	if use mpi; then
+		sed -i \
+			-e "s:^\(CC\s*=\).*:\1mpicc:" \
+			-e "s:^\(FC\s*=\).*:\1mpif90:" \
+			-e "s:^\(FL\s*=\).*:\1mpif90:" \
+			-e "s:^\(SCALAP\s*=\).*:\1$($(tc-getPKG_CONFIG) --libs scalapack):" \
+			Makefile.inc || die
+		export LINK=mpif90
+		LIBADD="${LIBADD} $($(tc-getPKG_CONFIG) --libs scalapack)"
+	else
+		sed -i \
+			-e 's:-Llibseq:-L$(topdir)/libseq:' \
+			-e 's:PAR):SEQ):g' \
+			-e "s:^\(SCALAP\s*=\).*:\1:" \
+			-e 's:^LIBSEQNEEDED =:LIBSEQNEEDED = libseqneeded:g' \
+			Makefile.inc || die
+		export LINK="$(tc-getFC)"
+	fi
+	sed -i -e "s:^\s*\(ORDERINGSF\s*=\).*:\1 ${ord}:" Makefile.inc || die
+}
+
+src_compile() {
+	# Workaround #462602
+	export FAKEROOTKEY=1
+
+	# -j1 because of static archive race
+	emake -j1 alllib PIC="-fPIC"
+	if ! use mpi; then
+		#$(tc-getAR) crs lib/libmumps_common.a libseq/*.o || die
+		LIBADD+=" -Llibseq -lmpiseq"
+		static_to_shared libseq/libmpiseq.a
+	fi
+	static_to_shared lib/libpord.a ${LIBADD}
+	static_to_shared lib/libmumps_common.a ${LIBADD}
+
+	local i
+	for i in c d s z; do
+		static_to_shared lib/lib${i}mumps.a -Llib -lmumps_common ${LIBADD}
+	done
+	if use static-libs; then
+		emake clean
+		emake -j1 alllib
+	fi
+}
+
+src_test() {
+	emake all
+	local dotest
+	if use mpi; then
+		dotest="mpirun -np 2"
+	else
+		export LD_LIBRARY_PATH="${S}/libseq:${LD_LIBRARY_PATH}"
+	fi
+	cd examples
+	${dotest} ./ssimpletest < input_simpletest_real || die
+	${dotest} ./dsimpletest < input_simpletest_real || die
+	${dotest} ./csimpletest < input_simpletest_cmplx || die
+	${dotest} ./zsimpletest < input_simpletest_cmplx || die
+	einfo "The solutions should be close to (1,2,3,4,5)"
+	${dotest} ./c_example || die
+	einfo "The solution should be close to (1,2)"
+	make clean
+}
+
+src_install() {
+	dolib.so lib/lib*$(get_libname)*
+	use static-libs && dolib.a lib/lib*.a
+	insinto /usr
+	doins -r include
+	if ! use mpi; then
+		dolib.so libseq/lib*$(get_libname)*
+		insinto /usr/include/mpiseq
+		doins libseq/*.h
+		use static-libs && dolib.a libseq/libmpiseq.a
+	fi
+	dodoc README ChangeLog VERSION
+	use doc && dodoc doc/*.pdf
+	if use examples; then
+		insinto /usr/share/doc/${PF}
+		doins -r examples
+	fi
+}


^ permalink raw reply related	[flat|nested] 19+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-libs/mumps/
@ 2018-11-26  0:31 Matthias Maier
  0 siblings, 0 replies; 19+ messages in thread
From: Matthias Maier @ 2018-11-26  0:31 UTC (permalink / raw
  To: gentoo-commits

commit:     2ebdebd5f0250e64318ad2cc58f39be9010f46ee
Author:     Matthias Maier <tamiko <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 26 00:26:18 2018 +0000
Commit:     Matthias Maier <tamiko <AT> gentoo <DOT> org>
CommitDate: Mon Nov 26 00:28:47 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2ebdebd5

sci-libs/mumps: update dependencies

Package-Manager: Portage-2.3.52, Repoman-2.3.12
Signed-off-by: Matthias Maier <tamiko <AT> gentoo.org>

 sci-libs/mumps/mumps-4.10.0-r1.ebuild | 4 ++--
 sci-libs/mumps/mumps-5.1.2.ebuild     | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/sci-libs/mumps/mumps-4.10.0-r1.ebuild b/sci-libs/mumps/mumps-4.10.0-r1.ebuild
index d57d19e1d13..2339f24f2c0 100644
--- a/sci-libs/mumps/mumps-4.10.0-r1.ebuild
+++ b/sci-libs/mumps/mumps-4.10.0-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=5
@@ -18,7 +18,7 @@ IUSE="doc examples metis mpi +scotch static-libs"
 
 RDEPEND="
 	virtual/blas
-	metis? ( || ( sci-libs/metis <sci-libs/parmetis-4 )
+	metis? ( || ( <sci-libs/metis-5 <sci-libs/parmetis-4 )
 		mpi? ( <sci-libs/parmetis-4 ) )
 	scotch? ( <sci-libs/scotch-6[mpi=] )
 	mpi? ( sci-libs/scalapack )"

diff --git a/sci-libs/mumps/mumps-5.1.2.ebuild b/sci-libs/mumps/mumps-5.1.2.ebuild
index 725e1ab60e6..6151e2977ac 100644
--- a/sci-libs/mumps/mumps-5.1.2.ebuild
+++ b/sci-libs/mumps/mumps-5.1.2.ebuild
@@ -18,7 +18,7 @@ IUSE="doc examples metis mpi +scotch static-libs"
 
 RDEPEND="
 	virtual/blas
-	metis? ( || ( sci-libs/metis <sci-libs/parmetis-4 )
+	metis? ( || ( <sci-libs/metis-5 <sci-libs/parmetis-4 )
 		mpi? ( <sci-libs/parmetis-4 ) )
 	scotch? ( <sci-libs/scotch-6[mpi=] )
 	mpi? ( sci-libs/scalapack )"


^ permalink raw reply related	[flat|nested] 19+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-libs/mumps/
@ 2018-11-26  0:36 Matthias Maier
  0 siblings, 0 replies; 19+ messages in thread
From: Matthias Maier @ 2018-11-26  0:36 UTC (permalink / raw
  To: gentoo-commits

commit:     418b4a50e26dcc6a5a57c33bc2efb0ae4880e7d1
Author:     Matthias Maier <tamiko <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 26 00:34:59 2018 +0000
Commit:     Matthias Maier <tamiko <AT> gentoo <DOT> org>
CommitDate: Mon Nov 26 00:34:59 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=418b4a50

sci-libs/mumps: update metis dependencies (again)

Closes: https://bugs.gentoo.org/668144
Package-Manager: Portage-2.3.52, Repoman-2.3.12
Signed-off-by: Matthias Maier <tamiko <AT> gentoo.org>

 sci-libs/mumps/mumps-5.1.2.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/sci-libs/mumps/mumps-5.1.2.ebuild b/sci-libs/mumps/mumps-5.1.2.ebuild
index 6151e2977ac..e5251550f24 100644
--- a/sci-libs/mumps/mumps-5.1.2.ebuild
+++ b/sci-libs/mumps/mumps-5.1.2.ebuild
@@ -18,8 +18,8 @@ IUSE="doc examples metis mpi +scotch static-libs"
 
 RDEPEND="
 	virtual/blas
-	metis? ( || ( <sci-libs/metis-5 <sci-libs/parmetis-4 )
-		mpi? ( <sci-libs/parmetis-4 ) )
+	metis? ( || ( >=sci-libs/metis-5 >=sci-libs/parmetis-4 )
+		mpi? ( >=sci-libs/parmetis-4 ) )
 	scotch? ( <sci-libs/scotch-6[mpi=] )
 	mpi? ( sci-libs/scalapack )"
 


^ permalink raw reply related	[flat|nested] 19+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-libs/mumps/
@ 2018-11-26  0:36 Matthias Maier
  0 siblings, 0 replies; 19+ messages in thread
From: Matthias Maier @ 2018-11-26  0:36 UTC (permalink / raw
  To: gentoo-commits

commit:     047331935a19f4404e0b8575af2c03fdad351a25
Author:     Matthias Maier <tamiko <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 26 00:33:49 2018 +0000
Commit:     Matthias Maier <tamiko <AT> gentoo <DOT> org>
CommitDate: Mon Nov 26 00:33:49 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=04733193

sci-libs/mumps: drop old

Package-Manager: Portage-2.3.52, Repoman-2.3.12
Signed-off-by: Matthias Maier <tamiko <AT> gentoo.org>

 sci-libs/mumps/Manifest               |   1 -
 sci-libs/mumps/mumps-4.10.0-r1.ebuild | 184 ----------------------------------
 2 files changed, 185 deletions(-)

diff --git a/sci-libs/mumps/Manifest b/sci-libs/mumps/Manifest
index 973e51a036a..bc722d54267 100644
--- a/sci-libs/mumps/Manifest
+++ b/sci-libs/mumps/Manifest
@@ -1,2 +1 @@
-DIST MUMPS_4.10.0.tar.gz 2481516 BLAKE2B ddd3f28bf9627806e9bb5597adc94e2b8f504adf220a8a64ea50630edbde75358bd97e91a53ebd341132a34db5d7248d32a892a060bdf8f205c8aac3b9c88722 SHA512 348df048618ea2086fbe805a90f2e31f57e0db4aa6f4843a0e3c7142bac80fe45e54768e65921657c970bc286b59c2bca91e5006ed8000678f26ba2efe2bfda8
 DIST MUMPS_5.1.2.tar.gz 3351215 BLAKE2B 1c77c2a217c101245a9a96a59be6b9bfd67ceffa603d807b5a7173026c5c33e2c4de78c14833d7b7f0a90130b9ebc0ac9c7d4ebfbf881d0bd2210a542887c239 SHA512 38a63b14a8df835be68b5fa310b39aa1815799220d56c176e4005797800959e9e08c9a6bf11d308ab82ea40b6f34d36072cebe7c1de39e0c314eb138b93f1b74

diff --git a/sci-libs/mumps/mumps-4.10.0-r1.ebuild b/sci-libs/mumps/mumps-4.10.0-r1.ebuild
deleted file mode 100644
index 2339f24f2c0..00000000000
--- a/sci-libs/mumps/mumps-4.10.0-r1.ebuild
+++ /dev/null
@@ -1,184 +0,0 @@
-# Copyright 1999-2018 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-
-inherit eutils toolchain-funcs flag-o-matic versionator fortran-2 multilib
-
-MYP=MUMPS_${PV}
-
-DESCRIPTION="MUltifrontal Massively Parallel sparse direct matrix Solver"
-HOMEPAGE="http://mumps.enseeiht.fr/"
-SRC_URI="${HOMEPAGE}${MYP}.tar.gz"
-
-LICENSE="public-domain"
-SLOT="0"
-KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
-IUSE="doc examples metis mpi +scotch static-libs"
-
-RDEPEND="
-	virtual/blas
-	metis? ( || ( <sci-libs/metis-5 <sci-libs/parmetis-4 )
-		mpi? ( <sci-libs/parmetis-4 ) )
-	scotch? ( <sci-libs/scotch-6[mpi=] )
-	mpi? ( sci-libs/scalapack )"
-
-DEPEND="${RDEPEND}
-	virtual/pkgconfig"
-
-S="${WORKDIR}/${MYP}"
-
-static_to_shared() {
-	local libstatic=${1}; shift
-	local libname=$(basename ${libstatic%.a})
-	local soname=${libname}$(get_libname $(get_version_component_range 1-2))
-	local libdir=$(dirname ${libstatic})
-
-	einfo "Making ${soname} from ${libstatic}"
-	if [[ ${CHOST} == *-darwin* ]] ; then
-		${LINK:-$(tc-getCC)} ${LDFLAGS}  \
-			-dynamiclib -install_name "${EPREFIX}"/usr/lib/"${soname}" \
-			-Wl,-all_load -Wl,${libstatic} \
-			"$@" -o ${libdir}/${soname} || die "${soname} failed"
-	else
-		${LINK:-$(tc-getCC)} ${LDFLAGS}  \
-			-shared -Wl,-soname=${soname} \
-			-Wl,--whole-archive ${libstatic} -Wl,--no-whole-archive \
-			"$@" -o ${libdir}/${soname} || die "${soname} failed"
-		[[ $(get_version_component_count) -gt 1 ]] && \
-			ln -s ${soname} ${libdir}/${libname}$(get_libname $(get_major_version))
-		ln -s ${soname} ${libdir}/${libname}$(get_libname)
-	fi
-}
-
-src_prepare() {
-	sed -e "s:^\(CC\s*=\).*:\1$(tc-getCC):" \
-		-e "s:^\(FC\s*=\).*:\1$(tc-getFC):" \
-		-e "s:^\(FL\s*=\).*:\1$(tc-getFC):" \
-		-e "s:^\(AR\s*=\).*:\1$(tc-getAR) cr :" \
-		-e "s:^\(RANLIB\s*=\).*:\1$(tc-getRANLIB):" \
-		-e "s:^\(LIBBLAS\s*=\).*:\1$($(tc-getPKG_CONFIG) --libs blas):" \
-		-e "s:^\(INCPAR\s*=\).*:\1:" \
-		-e 's:^\(LIBPAR\s*=\).*:\1$(SCALAP):' \
-		-e "s:^\(OPTF\s*=\).*:\1${FFLAGS} -DALLOW_NON_INIT \$(PIC):" \
-		-e "s:^\(OPTC\s*=\).*:\1${CFLAGS} \$(PIC):" \
-		-e "s:^\(OPTL\s*=\).*:\1${LDFLAGS}:" \
-		Make.inc/Makefile.inc.generic > Makefile.inc || die
-	# fixed a missing copy of libseq to libdir
-}
-
-src_configure() {
-	LIBADD="$($(tc-getPKG_CONFIG) --libs blas) -Llib -lpord"
-	local ord="-Dpord"
-	if use metis && use mpi; then
-		sed -i \
-			-e "s:#\s*\(LMETIS\s*=\).*:\1$($(tc-getPKG_CONFIG) --libs parmetis):" \
-			-e "s:#\s*\(IMETIS\s*=\).*:\1$($(tc-getPKG_CONFIG) --cflags parmetis):" \
-			Makefile.inc || die
-		LIBADD="${LIBADD} $($(tc-getPKG_CONFIG) --libs parmetis)"
-		ord="${ord} -Dparmetis"
-	elif use metis; then
-		sed -i \
-			-e "s:#\s*\(LMETIS\s*=\).*:\1$($(tc-getPKG_CONFIG) --libs metis):" \
-			-e "s:#\s*\(IMETIS\s*=\).*:\1$($(tc-getPKG_CONFIG) --cflags metis):" \
-			Makefile.inc || die
-		LIBADD="${LIBADD} $($(tc-getPKG_CONFIG) --libs metis)"
-		ord="${ord} -Dmetis"
-	fi
-	if use scotch && use mpi; then
-		sed -i \
-			-e "s:#\s*\(LSCOTCH\s*=\).*:\1-lptesmumps -lptscotch -lptscotcherr:" \
-			-e "s:#\s*\(ISCOTCH\s*=\).*:\1-I${EROOT}usr/include/scotch:" \
-			Makefile.inc || die
-		LIBADD="${LIBADD} -lptesmumps -lptscotch -lptscotcherr"
-		ord="${ord} -Dptscotch"
-	elif use scotch; then
-		sed -i \
-			-e "s:#\s*\(LSCOTCH\s*=\).*:\1-lesmumps -lscotch -lscotcherr:" \
-			-e "s:#\s*\(ISCOTCH\s*=\).*:\1-I${EROOT}usr/include/scotch:" \
-			Makefile.inc || die
-		LIBADD="${LIBADD} -lesmumps -lscotch -lscotcherr"
-		ord="${ord} -Dscotch"
-	fi
-	if use mpi; then
-		sed -i \
-			-e "s:^\(CC\s*=\).*:\1mpicc:" \
-			-e "s:^\(FC\s*=\).*:\1mpif90:" \
-			-e "s:^\(FL\s*=\).*:\1mpif90:" \
-			-e "s:^\(SCALAP\s*=\).*:\1$($(tc-getPKG_CONFIG) --libs scalapack):" \
-			Makefile.inc || die
-		export LINK=mpif90
-		LIBADD="${LIBADD} $($(tc-getPKG_CONFIG) --libs scalapack)"
-	else
-		sed -i \
-			-e 's:-Llibseq:-L$(topdir)/libseq:' \
-			-e 's:PAR):SEQ):g' \
-			-e "s:^\(SCALAP\s*=\).*:\1:" \
-			-e 's:^LIBSEQNEEDED =:LIBSEQNEEDED = libseqneeded:g' \
-			Makefile.inc || die
-		export LINK="$(tc-getFC)"
-	fi
-	sed -i -e "s:^\s*\(ORDERINGSF\s*=\).*:\1 ${ord}:" Makefile.inc || die
-}
-
-src_compile() {
-	# Workaround #462602
-	export FAKEROOTKEY=1
-
-	# -j1 because of static archive race
-	emake -j1 alllib PIC="-fPIC"
-	if ! use mpi; then
-		#$(tc-getAR) crs lib/libmumps_common.a libseq/*.o || die
-		LIBADD+=" -Llibseq -lmpiseq"
-		static_to_shared libseq/libmpiseq.a
-	fi
-	static_to_shared lib/libpord.a ${LIBADD}
-	static_to_shared lib/libmumps_common.a ${LIBADD}
-
-	local i
-	for i in c d s z; do
-		static_to_shared lib/lib${i}mumps.a -Llib -lmumps_common ${LIBADD}
-	done
-	if use static-libs; then
-		emake clean
-		emake -j1 alllib
-	fi
-}
-
-src_test() {
-	emake all
-	local dotest
-	if use mpi; then
-		dotest="mpirun -np 2"
-	else
-		export LD_LIBRARY_PATH="${S}/libseq:${LD_LIBRARY_PATH}"
-	fi
-	cd examples
-	${dotest} ./ssimpletest < input_simpletest_real || die
-	${dotest} ./dsimpletest < input_simpletest_real || die
-	${dotest} ./csimpletest < input_simpletest_cmplx || die
-	${dotest} ./zsimpletest < input_simpletest_cmplx || die
-	einfo "The solutions should be close to (1,2,3,4,5)"
-	${dotest} ./c_example || die
-	einfo "The solution should be close to (1,2)"
-	make clean
-}
-
-src_install() {
-	dolib.so lib/lib*$(get_libname)*
-	use static-libs && dolib.a lib/lib*.a
-	insinto /usr
-	doins -r include
-	if ! use mpi; then
-		dolib.so libseq/lib*$(get_libname)*
-		insinto /usr/include/mpiseq
-		doins libseq/*.h
-		use static-libs && dolib.a libseq/libmpiseq.a
-	fi
-	dodoc README ChangeLog VERSION
-	use doc && dodoc doc/*.pdf
-	if use examples; then
-		insinto /usr/share/doc/${PF}
-		doins -r examples
-	fi
-}


^ permalink raw reply related	[flat|nested] 19+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-libs/mumps/
@ 2020-09-18 16:47 Sam James
  0 siblings, 0 replies; 19+ messages in thread
From: Sam James @ 2020-09-18 16:47 UTC (permalink / raw
  To: gentoo-commits

commit:     b02a9ab0e74f89f524ec27bf612c51fb66c0070b
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Sep 18 16:39:41 2020 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Sep 18 16:39:41 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b02a9ab0

sci-libs/mumps: minor ebuild surgery

* EROOT -> ESYSROOT (we can't use EROOT in src_*, see PMS)
* Missing || dies
* eclass usage pruning
* Mild tidying where possible

Package-Manager: Portage-3.0.4, Repoman-3.0.1
Signed-off-by: Sam James <sam <AT> gentoo.org>

 sci-libs/mumps/mumps-5.1.2-r1.ebuild | 37 +++++++++++++++++++++++-------------
 1 file changed, 24 insertions(+), 13 deletions(-)

diff --git a/sci-libs/mumps/mumps-5.1.2-r1.ebuild b/sci-libs/mumps/mumps-5.1.2-r1.ebuild
index be2c5c64986..6b63a29ccc7 100644
--- a/sci-libs/mumps/mumps-5.1.2-r1.ebuild
+++ b/sci-libs/mumps/mumps-5.1.2-r1.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=7
 
-inherit flag-o-matic fortran-2 toolchain-funcs multilib
+inherit fortran-2 toolchain-funcs
 
 MYP=MUMPS_${PV}
 
@@ -18,10 +18,12 @@ IUSE="doc examples metis mpi +scotch static-libs"
 
 RDEPEND="
 	virtual/blas
-	metis? ( || ( >=sci-libs/metis-5 >=sci-libs/parmetis-4 )
-		mpi? ( >=sci-libs/parmetis-4 ) )
+	metis? (
+		   || ( >=sci-libs/metis-5 >=sci-libs/parmetis-4 )
+		   mpi? ( >=sci-libs/parmetis-4 )
+	)
 	mpi? ( sci-libs/scalapack )
-	scotch? ( >=sci-libs/scotch-6.0.1[mpi=] )
+	scotch? ( >=sci-libs/scotch-6.0.1:=[mpi=] )
 "
 DEPEND="${RDEPEND}"
 BDEPEND="virtual/pkgconfig"
@@ -34,7 +36,8 @@ get_version_component_count() {
 }
 
 static_to_shared() {
-	local libstatic=${1}; shift
+	local libstatic=${1}
+	shift
 	local libname=$(basename ${libstatic%.a})
 	local soname=${libname}$(get_libname $(ver_cut 1-2))
 	local libdir=$(dirname ${libstatic})
@@ -50,9 +53,12 @@ static_to_shared() {
 			-shared -Wl,-soname=${soname} \
 			-Wl,--whole-archive ${libstatic} -Wl,--no-whole-archive \
 			"$@" -o ${libdir}/${soname} || die "${soname} failed"
-		[[ $(get_version_component_count) -gt 1 ]] && \
-			ln -s ${soname} ${libdir}/${libname}$(get_libname $(ver_cut 1))
-		ln -s ${soname} ${libdir}/${libname}$(get_libname)
+
+		if [[ $(get_version_component_count) -ge 1 ]] ; then
+			ln -s ${soname} ${libdir}/${libname}$(get_libname $(ver_cut 1)) || die
+		fi
+
+		ln -s ${soname} ${libdir}/${libname}$(get_libname) || die
 	fi
 }
 
@@ -95,14 +101,14 @@ src_configure() {
 	if use scotch && use mpi; then
 		sed -i \
 			-e "s:#\s*\(LSCOTCH\s*=\).*:\1-lptesmumps -lptscotch -lptscotcherr:" \
-			-e "s:#\s*\(ISCOTCH\s*=\).*:\1-I${EROOT}/usr/include/scotch:" \
+			-e "s:#\s*\(ISCOTCH\s*=\).*:\1-I${ESYSROOT}/usr/include/scotch:" \
 			Makefile.inc || die
 		LIBADD="${LIBADD} -lptesmumps -lptscotch -lptscotcherr"
 		ord="${ord} -Dptscotch"
 	elif use scotch; then
 		sed -i \
 			-e "s:#\s*\(LSCOTCH\s*=\).*:\1-lesmumps -lscotch -lscotcherr:" \
-			-e "s:#\s*\(ISCOTCH\s*=\).*:\1-I${EROOT}/usr/include/scotch:" \
+			-e "s:#\s*\(ISCOTCH\s*=\).*:\1-I${ESYSROOT}/usr/include/scotch:" \
 			Makefile.inc || die
 		LIBADD="${LIBADD} -lesmumps -lscotch -lscotcherr"
 		ord="${ord} -Dscotch"
@@ -139,6 +145,7 @@ src_compile() {
 		LIBADD+=" -Llibseq -lmpiseq"
 		static_to_shared libseq/libmpiseq.a
 	fi
+
 	static_to_shared lib/libpord.a ${LIBADD}
 	static_to_shared lib/libmumps_common.a ${LIBADD}
 
@@ -146,6 +153,7 @@ src_compile() {
 	for i in c d s z; do
 		static_to_shared lib/lib${i}mumps.a -Llib -lmumps_common ${LIBADD}
 	done
+
 	if use static-libs; then
 		emake clean
 		emake -j1 alllib
@@ -154,12 +162,14 @@ src_compile() {
 
 src_test() {
 	emake all
+
 	local dotest
 	if use mpi; then
 		dotest="mpirun -np 2"
 	else
 		export LD_LIBRARY_PATH="${S}/libseq:${LD_LIBRARY_PATH}"
 	fi
+
 	cd examples
 	${dotest} ./ssimpletest < input_simpletest_real || die
 	${dotest} ./dsimpletest < input_simpletest_real || die
@@ -168,13 +178,14 @@ src_test() {
 	einfo "The solutions should be close to (1,2,3,4,5)"
 	${dotest} ./c_example || die
 	einfo "The solution should be close to (1,2)"
-	make clean
+	emake clean || die
 }
 
 src_install() {
 	dolib.so lib/lib*$(get_libname)*
 	use static-libs && dolib.a lib/lib*.a
 	insinto /usr
+
 	doins -r include
 	if ! use mpi; then
 		dolib.so libseq/lib*$(get_libname)*
@@ -182,10 +193,10 @@ src_install() {
 		doins libseq/*.h
 		use static-libs && dolib.a libseq/libmpiseq.a
 	fi
+
 	dodoc README ChangeLog VERSION
 	use doc && dodoc doc/*.pdf
 	if use examples; then
-		insinto /usr/share/doc/${PF}
-		doins -r examples
+		dodoc -r examples
 	fi
 }


^ permalink raw reply related	[flat|nested] 19+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-libs/mumps/
@ 2020-09-18 16:47 Sam James
  0 siblings, 0 replies; 19+ messages in thread
From: Sam James @ 2020-09-18 16:47 UTC (permalink / raw
  To: gentoo-commits

commit:     4a1cc44e67e78a4d2f507e585df4deea4a91cb81
Author:     Bernd Waibel <waebbl <AT> gmail <DOT> com>
AuthorDate: Sun Sep 15 16:18:51 2019 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Sep 18 16:21:14 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4a1cc44e

sci-libs/mumps: update scotch dependency

- Use >=sci-libs/scotch-6.0.1 for mumps as recommended by upstream
- Re-order inherits
- Bump to EAPI 7
- Fix missing / after ${EROOT}

Closes: https://bugs.gentoo.org/670759
Package-Manager: Portage-2.3.76, Repoman-2.3.17
Signed-off-by: Bernd Waibel <waebbl <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/12936
Signed-off-by: Sam James <sam <AT> gentoo.org>

 .../{mumps-5.1.2.ebuild => mumps-5.1.2-r1.ebuild}  | 27 +++++++++++++---------
 1 file changed, 16 insertions(+), 11 deletions(-)

diff --git a/sci-libs/mumps/mumps-5.1.2.ebuild b/sci-libs/mumps/mumps-5.1.2-r1.ebuild
similarity index 90%
rename from sci-libs/mumps/mumps-5.1.2.ebuild
rename to sci-libs/mumps/mumps-5.1.2-r1.ebuild
index 477d6dbaeef..be2c5c64986 100644
--- a/sci-libs/mumps/mumps-5.1.2.ebuild
+++ b/sci-libs/mumps/mumps-5.1.2-r1.ebuild
@@ -1,9 +1,9 @@
 # Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=7
 
-inherit eutils toolchain-funcs flag-o-matic versionator fortran-2 multilib
+inherit flag-o-matic fortran-2 toolchain-funcs multilib
 
 MYP=MUMPS_${PV}
 
@@ -20,18 +20,23 @@ RDEPEND="
 	virtual/blas
 	metis? ( || ( >=sci-libs/metis-5 >=sci-libs/parmetis-4 )
 		mpi? ( >=sci-libs/parmetis-4 ) )
-	scotch? ( <sci-libs/scotch-6[mpi=] )
-	mpi? ( sci-libs/scalapack )"
-
-DEPEND="${RDEPEND}
-	virtual/pkgconfig"
+	mpi? ( sci-libs/scalapack )
+	scotch? ( >=sci-libs/scotch-6.0.1[mpi=] )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
 
 S="${WORKDIR}/${MYP}"
 
+get_version_component_count() {
+	local cnt=( $(ver_rs 1- ' ') )
+	echo ${#cnt[@]}
+}
+
 static_to_shared() {
 	local libstatic=${1}; shift
 	local libname=$(basename ${libstatic%.a})
-	local soname=${libname}$(get_libname $(get_version_component_range 1-2))
+	local soname=${libname}$(get_libname $(ver_cut 1-2))
 	local libdir=$(dirname ${libstatic})
 
 	einfo "Making ${soname} from ${libstatic}"
@@ -46,7 +51,7 @@ static_to_shared() {
 			-Wl,--whole-archive ${libstatic} -Wl,--no-whole-archive \
 			"$@" -o ${libdir}/${soname} || die "${soname} failed"
 		[[ $(get_version_component_count) -gt 1 ]] && \
-			ln -s ${soname} ${libdir}/${libname}$(get_libname $(get_major_version))
+			ln -s ${soname} ${libdir}/${libname}$(get_libname $(ver_cut 1))
 		ln -s ${soname} ${libdir}/${libname}$(get_libname)
 	fi
 }
@@ -90,14 +95,14 @@ src_configure() {
 	if use scotch && use mpi; then
 		sed -i \
 			-e "s:#\s*\(LSCOTCH\s*=\).*:\1-lptesmumps -lptscotch -lptscotcherr:" \
-			-e "s:#\s*\(ISCOTCH\s*=\).*:\1-I${EROOT}usr/include/scotch:" \
+			-e "s:#\s*\(ISCOTCH\s*=\).*:\1-I${EROOT}/usr/include/scotch:" \
 			Makefile.inc || die
 		LIBADD="${LIBADD} -lptesmumps -lptscotch -lptscotcherr"
 		ord="${ord} -Dptscotch"
 	elif use scotch; then
 		sed -i \
 			-e "s:#\s*\(LSCOTCH\s*=\).*:\1-lesmumps -lscotch -lscotcherr:" \
-			-e "s:#\s*\(ISCOTCH\s*=\).*:\1-I${EROOT}usr/include/scotch:" \
+			-e "s:#\s*\(ISCOTCH\s*=\).*:\1-I${EROOT}/usr/include/scotch:" \
 			Makefile.inc || die
 		LIBADD="${LIBADD} -lesmumps -lscotch -lscotcherr"
 		ord="${ord} -Dscotch"


^ permalink raw reply related	[flat|nested] 19+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-libs/mumps/
@ 2020-09-18 16:58 Sam James
  0 siblings, 0 replies; 19+ messages in thread
From: Sam James @ 2020-09-18 16:58 UTC (permalink / raw
  To: gentoo-commits

commit:     f58702f8b2a9b42950fff54cdd9cff961d1a23c9
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Sep 18 16:58:05 2020 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Sep 18 16:58:13 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f58702f8

sci-libs/mumps: drop leftover || die

Package-Manager: Portage-3.0.4, Repoman-3.0.1
Signed-off-by: Sam James <sam <AT> gentoo.org>

 sci-libs/mumps/mumps-5.1.2-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/sci-libs/mumps/mumps-5.1.2-r1.ebuild b/sci-libs/mumps/mumps-5.1.2-r1.ebuild
index 6b63a29ccc7..de59b930747 100644
--- a/sci-libs/mumps/mumps-5.1.2-r1.ebuild
+++ b/sci-libs/mumps/mumps-5.1.2-r1.ebuild
@@ -178,7 +178,7 @@ src_test() {
 	einfo "The solutions should be close to (1,2,3,4,5)"
 	${dotest} ./c_example || die
 	einfo "The solution should be close to (1,2)"
-	emake clean || die
+	emake clean
 }
 
 src_install() {


^ permalink raw reply related	[flat|nested] 19+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-libs/mumps/
@ 2020-09-18 22:27 Sam James
  0 siblings, 0 replies; 19+ messages in thread
From: Sam James @ 2020-09-18 22:27 UTC (permalink / raw
  To: gentoo-commits

commit:     833678ddd4d9ef7dfcabacc5fcc77b4f647aca91
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Sep 18 22:02:41 2020 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Sep 18 22:27:40 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=833678dd

sci-libs/mumps: bump to 5.3.3

Closes: https://bugs.gentoo.org/727356
Closes: https://bugs.gentoo.org/721992
Closes: https://bugs.gentoo.org/711034
Closes: https://bugs.gentoo.org/671998
Package-Manager: Portage-3.0.4, Repoman-3.0.1
Signed-off-by: Sam James <sam <AT> gentoo.org>

 sci-libs/mumps/Manifest           |   1 +
 sci-libs/mumps/mumps-5.3.3.ebuild | 201 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 202 insertions(+)

diff --git a/sci-libs/mumps/Manifest b/sci-libs/mumps/Manifest
index bc722d54267..d914fe1d94c 100644
--- a/sci-libs/mumps/Manifest
+++ b/sci-libs/mumps/Manifest
@@ -1 +1,2 @@
 DIST MUMPS_5.1.2.tar.gz 3351215 BLAKE2B 1c77c2a217c101245a9a96a59be6b9bfd67ceffa603d807b5a7173026c5c33e2c4de78c14833d7b7f0a90130b9ebc0ac9c7d4ebfbf881d0bd2210a542887c239 SHA512 38a63b14a8df835be68b5fa310b39aa1815799220d56c176e4005797800959e9e08c9a6bf11d308ab82ea40b6f34d36072cebe7c1de39e0c314eb138b93f1b74
+DIST MUMPS_5.3.3.tar.gz 3912935 BLAKE2B 03b88e23b8dd49832c43aef4717edd440328ca7c63eed9005a6baa008090f63089e7a259fb8091ce462e249196c2a1de0ec1e864173e3ecc3265d5a9cef8b869 SHA512 fb2da6acfd0a413ed5a9b2ea346a191ecea4a057f26a8c3b8ed2400843753a354055eb911e53d9f6ed5a6818e653ab926579c1a4a261b791c5ae421fcd5a7945

diff --git a/sci-libs/mumps/mumps-5.3.3.ebuild b/sci-libs/mumps/mumps-5.3.3.ebuild
new file mode 100644
index 00000000000..43b0f37be67
--- /dev/null
+++ b/sci-libs/mumps/mumps-5.3.3.ebuild
@@ -0,0 +1,201 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit fortran-2 toolchain-funcs
+
+MYP=MUMPS_${PV}
+
+DESCRIPTION="MUltifrontal Massively Parallel sparse direct matrix Solver"
+HOMEPAGE="http://mumps.enseeiht.fr/"
+SRC_URI="http://mumps.enseeiht.fr/${MYP}.tar.gz"
+S="${WORKDIR}/${MYP}"
+
+LICENSE="public-domain"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc examples metis mpi +scotch static-libs"
+
+BDEPEND="virtual/pkgconfig"
+RDEPEND="
+	virtual/blas
+	metis? (
+		   || ( >=sci-libs/metis-5 >=sci-libs/parmetis-4 )
+		   mpi? ( >=sci-libs/parmetis-4 )
+	)
+	mpi? ( sci-libs/scalapack )
+	scotch? ( >=sci-libs/scotch-6.0.1:=[mpi=] )
+"
+DEPEND="${RDEPEND}"
+
+get_version_component_count() {
+	local cnt=( $(ver_rs 1- ' ') )
+	echo ${#cnt[@]} || die
+}
+
+static_to_shared() {
+	local libstatic=${1}
+	shift
+	local libname=$(basename ${libstatic%.a})
+	local soname=${libname}$(get_libname $(ver_cut 1-2))
+	local libdir=$(dirname ${libstatic})
+
+	einfo "Making ${soname} from ${libstatic}"
+	if [[ ${CHOST} == *-darwin* ]] ; then
+		${LINK:-$(tc-getCC)} ${LDFLAGS}  \
+			-dynamiclib -install_name "${EPREFIX}"/usr/lib/"${soname}" \
+			-Wl,-all_load -Wl,${libstatic} \
+			"$@" -o ${libdir}/${soname} || die "${soname} failed"
+	else
+		${LINK:-$(tc-getCC)} ${LDFLAGS}  \
+			-shared -Wl,-soname=${soname} \
+			-Wl,--whole-archive ${libstatic} -Wl,--no-whole-archive \
+			"$@" -o ${libdir}/${soname} || die "${soname} failed"
+
+		if [[ $(get_version_component_count) -ge 1 ]] ; then
+			ln -s ${soname} ${libdir}/${libname}$(get_libname $(ver_cut 1)) || die
+		fi
+
+		ln -s ${soname} ${libdir}/${libname}$(get_libname) || die
+	fi
+}
+
+src_prepare() {
+	sed -e "s;^\(CC\s*=\).*;\1$(tc-getCC);" \
+		-e "s;^\(FC\s*=\).*;\1$(tc-getFC);" \
+		-e "s;^\(FL\s*=\).*;\1$(tc-getFC);" \
+		-e "s;^\(AR\s*=\).*;\1$(tc-getAR) cr ;" \
+		-e "s;^\(RANLIB\s*=\).*;\1$(tc-getRANLIB);" \
+		-e "s;^\(LIBBLAS\s*=\).*;\1$($(tc-getPKG_CONFIG) --libs blas);" \
+		-e "s;^\(INCPAR\s*=\).*;\1;" \
+		-e 's;^\(LIBPAR\s*=\).*;\1$(SCALAP);' \
+		-e "s;^\(OPTF\s*=\).*;\1${FFLAGS} -DALLOW_NON_INIT \$(PIC);" \
+		-e "s;^\(OPTC\s*=\).*;\1${CFLAGS} \$(PIC);" \
+		-e "s;^\(OPTL\s*=\).*;\1${LDFLAGS};" \
+		Make.inc/Makefile.inc.generic > Makefile.inc || die
+	# fixed a missing copy of libseq to libdir
+
+	default
+}
+
+src_configure() {
+	LIBADD="$($(tc-getPKG_CONFIG) --libs blas) -Llib -lpord"
+	local ord="-Dpord"
+	if use metis && use mpi; then
+		sed -i \
+			-e "s;#\s*\(LMETIS\s*=\).*;\1$($(tc-getPKG_CONFIG) --libs parmetis);" \
+			-e "s;#\s*\(IMETIS\s*=\).*;\1$($(tc-getPKG_CONFIG) --cflags parmetis);" \
+			Makefile.inc || die
+		LIBADD="${LIBADD} $($(tc-getPKG_CONFIG) --libs parmetis)"
+		ord="${ord} -Dparmetis"
+	elif use metis; then
+		sed -i \
+			-e "s;#\s*\(LMETIS\s*=\).*;\1$($(tc-getPKG_CONFIG) --libs metis);" \
+			-e "s;#\s*\(IMETIS\s*=\).*;\1$($(tc-getPKG_CONFIG) --cflags metis);" \
+			Makefile.inc || die
+		LIBADD="${LIBADD} $($(tc-getPKG_CONFIG) --libs metis)"
+		ord="${ord} -Dmetis"
+	fi
+	if use scotch && use mpi; then
+		sed -i \
+			-e "s;#\s*\(LSCOTCH\s*=\).*;\1-lptesmumps -lptscotch -lptscotcherr;" \
+			-e "s;#\s*\(ISCOTCH\s*=\).*;\1-I${ESYSROOT}/usr/include/scotch;" \
+			Makefile.inc || die
+		LIBADD="${LIBADD} -lptesmumps -lptscotch -lptscotcherr"
+		ord="${ord} -Dptscotch"
+	elif use scotch; then
+		sed -i \
+			-e "s;#\s*\(LSCOTCH\s*=\).*;\1-lesmumps -lscotch -lscotcherr;" \
+			-e "s;#\s*\(ISCOTCH\s*=\).*;\1-I${ESYSROOT}/usr/include/scotch;" \
+			Makefile.inc || die
+		LIBADD="${LIBADD} -lesmumps -lscotch -lscotcherr"
+		ord="${ord} -Dscotch"
+	fi
+	if use mpi; then
+		sed -i \
+			-e "s;^\(CC\s*=\).*;\1mpicc;" \
+			-e "s;^\(FC\s*=\).*;\1mpif90;" \
+			-e "s;^\(FL\s*=\).*;\1mpif90;" \
+			-e "s;^\(SCALAP\s*=\).*;\1$($(tc-getPKG_CONFIG) --libs scalapack);" \
+			Makefile.inc || die
+		export LINK=mpif90
+		LIBADD="${LIBADD} $($(tc-getPKG_CONFIG) --libs scalapack)"
+	else
+		sed -i \
+			-e 's;-Llibseq;-L$(topdir)/libseq;' \
+			-e 's;PAR);SEQ);g' \
+			-e "s;^\(SCALAP\s*=\).*;\1;" \
+			-e 's;^LIBSEQNEEDED =;LIBSEQNEEDED = libseqneeded;g' \
+			Makefile.inc || die
+		export LINK="$(tc-getFC)"
+	fi
+	sed -i -e "s;^\s*\(ORDERINGSF\s*=\).*;\1 ${ord};" Makefile.inc || die
+}
+
+src_compile() {
+	# Workaround #462602
+	export FAKEROOTKEY=1
+
+	# -j1 because of static archive race
+	emake -j1 alllib PIC="-fPIC"
+	if ! use mpi; then
+		#$(tc-getAR) crs lib/libmumps_common.a libseq/*.o || die
+		LIBADD+=" -Llibseq -lmpiseq"
+		static_to_shared libseq/libmpiseq.a
+	fi
+
+	static_to_shared lib/libpord.a ${LIBADD}
+	static_to_shared lib/libmumps_common.a ${LIBADD}
+
+	local i
+	for i in c d s z; do
+		static_to_shared lib/lib${i}mumps.a -Llib -lmumps_common ${LIBADD}
+	done
+
+	if use static-libs; then
+		emake clean
+		emake -j1 alllib
+	fi
+}
+
+src_test() {
+	emake all
+
+	local dotest
+	if use mpi; then
+		dotest="mpirun -np 2"
+	else
+		export LD_LIBRARY_PATH="${S}/libseq:${LD_LIBRARY_PATH}"
+	fi
+
+	cd examples
+	${dotest} ./ssimpletest < input_simpletest_real || die
+	${dotest} ./dsimpletest < input_simpletest_real || die
+	${dotest} ./csimpletest < input_simpletest_cmplx || die
+	${dotest} ./zsimpletest < input_simpletest_cmplx || die
+	einfo "The solutions should be close to (1,2,3,4,5)"
+	${dotest} ./c_example || die
+	einfo "The solution should be close to (1,2)"
+	emake clean
+}
+
+src_install() {
+	dolib.so lib/lib*$(get_libname)*
+	use static-libs && dolib.a lib/lib*.a
+	insinto /usr
+
+	doins -r include
+	if ! use mpi; then
+		dolib.so libseq/lib*$(get_libname)*
+		insinto /usr/include/mpiseq
+		doins libseq/*.h
+		use static-libs && dolib.a libseq/libmpiseq.a
+	fi
+
+	dodoc README ChangeLog VERSION
+	use doc && dodoc doc/*.pdf
+	if use examples; then
+		dodoc -r examples
+	fi
+}


^ permalink raw reply related	[flat|nested] 19+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-libs/mumps/
@ 2021-01-02  7:02 Sam James
  0 siblings, 0 replies; 19+ messages in thread
From: Sam James @ 2021-01-02  7:02 UTC (permalink / raw
  To: gentoo-commits

commit:     8f7aa07ffcd30599cb3668e517cdf8d395529fd4
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Jan  2 06:59:35 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Jan  2 06:59:44 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8f7aa07f

sci-libs/mumps: add gcc 10 workaround

Closes: https://bugs.gentoo.org/743442
Package-Manager: Portage-3.0.12, Repoman-3.0.2
Signed-off-by: Sam James <sam <AT> gentoo.org>

 sci-libs/mumps/Manifest           |   1 +
 sci-libs/mumps/mumps-5.3.5.ebuild | 205 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 206 insertions(+)

diff --git a/sci-libs/mumps/Manifest b/sci-libs/mumps/Manifest
index d914fe1d94c..ef756342a87 100644
--- a/sci-libs/mumps/Manifest
+++ b/sci-libs/mumps/Manifest
@@ -1,2 +1,3 @@
 DIST MUMPS_5.1.2.tar.gz 3351215 BLAKE2B 1c77c2a217c101245a9a96a59be6b9bfd67ceffa603d807b5a7173026c5c33e2c4de78c14833d7b7f0a90130b9ebc0ac9c7d4ebfbf881d0bd2210a542887c239 SHA512 38a63b14a8df835be68b5fa310b39aa1815799220d56c176e4005797800959e9e08c9a6bf11d308ab82ea40b6f34d36072cebe7c1de39e0c314eb138b93f1b74
 DIST MUMPS_5.3.3.tar.gz 3912935 BLAKE2B 03b88e23b8dd49832c43aef4717edd440328ca7c63eed9005a6baa008090f63089e7a259fb8091ce462e249196c2a1de0ec1e864173e3ecc3265d5a9cef8b869 SHA512 fb2da6acfd0a413ed5a9b2ea346a191ecea4a057f26a8c3b8ed2400843753a354055eb911e53d9f6ed5a6818e653ab926579c1a4a261b791c5ae421fcd5a7945
+DIST MUMPS_5.3.5.tar.gz 3940501 BLAKE2B f1767483bb23744a2c5ed11b0823c5b023377d5212abbe29a177cce5b5e51e6f2f391d7caa17022646e36c9e4b4fb4af80b03ac6cf8e89f37502ed960138bbbe SHA512 6e3bb081f38af8540ada7b4fb54c6e766739c854e2a3dd253e3e012eee05dae30064b1b4a8d7493f10691725aba4cc9e80544b0fe5b71670cb0b2726ccfc4439

diff --git a/sci-libs/mumps/mumps-5.3.5.ebuild b/sci-libs/mumps/mumps-5.3.5.ebuild
new file mode 100644
index 00000000000..d88be408e3f
--- /dev/null
+++ b/sci-libs/mumps/mumps-5.3.5.ebuild
@@ -0,0 +1,205 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit fortran-2 flag-o-matic toolchain-funcs
+
+MYP=MUMPS_${PV}
+
+DESCRIPTION="MUltifrontal Massively Parallel sparse direct matrix Solver"
+HOMEPAGE="http://mumps.enseeiht.fr/"
+SRC_URI="http://mumps.enseeiht.fr/${MYP}.tar.gz"
+S="${WORKDIR}/${MYP}"
+
+LICENSE="public-domain"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc examples metis mpi +scotch static-libs"
+
+BDEPEND="virtual/pkgconfig"
+RDEPEND="
+	virtual/blas
+	metis? (
+		   || ( >=sci-libs/metis-5 >=sci-libs/parmetis-4 )
+		   mpi? ( >=sci-libs/parmetis-4 )
+	)
+	mpi? ( sci-libs/scalapack )
+	scotch? ( >=sci-libs/scotch-6.0.1:=[mpi=] )
+"
+DEPEND="${RDEPEND}"
+
+get_version_component_count() {
+	local cnt=( $(ver_rs 1- ' ') )
+	echo ${#cnt[@]} || die
+}
+
+static_to_shared() {
+	local libstatic=${1}
+	shift
+	local libname=$(basename ${libstatic%.a})
+	local soname=${libname}$(get_libname $(ver_cut 1-2))
+	local libdir=$(dirname ${libstatic})
+
+	einfo "Making ${soname} from ${libstatic}"
+	if [[ ${CHOST} == *-darwin* ]] ; then
+		${LINK:-$(tc-getCC)} ${LDFLAGS}  \
+			-dynamiclib -install_name "${EPREFIX}"/usr/lib/"${soname}" \
+			-Wl,-all_load -Wl,${libstatic} \
+			"$@" -o ${libdir}/${soname} || die "${soname} failed"
+	else
+		${LINK:-$(tc-getCC)} ${LDFLAGS}  \
+			-shared -Wl,-soname=${soname} \
+			-Wl,--whole-archive ${libstatic} -Wl,--no-whole-archive \
+			"$@" -o ${libdir}/${soname} || die "${soname} failed"
+
+		if [[ $(get_version_component_count) -ge 1 ]] ; then
+			ln -s ${soname} ${libdir}/${libname}$(get_libname $(ver_cut 1)) || die
+		fi
+
+		ln -s ${soname} ${libdir}/${libname}$(get_libname) || die
+	fi
+}
+
+src_prepare() {
+	# workaround for gcc10 (bug #743442)
+	append-fflags $(test-flags-FC -fallow-argument-mismatch)
+
+	sed -e "s;^\(CC\s*=\).*;\1$(tc-getCC);" \
+		-e "s;^\(FC\s*=\).*;\1$(tc-getFC);" \
+		-e "s;^\(FL\s*=\).*;\1$(tc-getFC);" \
+		-e "s;^\(AR\s*=\).*;\1$(tc-getAR) cr ;" \
+		-e "s;^\(RANLIB\s*=\).*;\1$(tc-getRANLIB);" \
+		-e "s;^\(LIBBLAS\s*=\).*;\1$($(tc-getPKG_CONFIG) --libs blas);" \
+		-e "s;^\(INCPAR\s*=\).*;\1;" \
+		-e 's;^\(LIBPAR\s*=\).*;\1$(SCALAP);' \
+		-e "s;^\(OPTF\s*=\).*;\1${FFLAGS} -DALLOW_NON_INIT \$(PIC);" \
+		-e "s;^\(OPTC\s*=\).*;\1${CFLAGS} \$(PIC);" \
+		-e "s;^\(OPTL\s*=\).*;\1${LDFLAGS};" \
+		Make.inc/Makefile.inc.generic > Makefile.inc || die
+	# fixed a missing copy of libseq to libdir
+
+	default
+}
+
+src_configure() {
+	LIBADD="$($(tc-getPKG_CONFIG) --libs blas) -Llib -lpord"
+	local ord="-Dpord"
+
+	if use metis && use mpi; then
+		sed -i \
+			-e "s;#\s*\(LMETIS\s*=\).*;\1$($(tc-getPKG_CONFIG) --libs parmetis);" \
+			-e "s;#\s*\(IMETIS\s*=\).*;\1$($(tc-getPKG_CONFIG) --cflags parmetis);" \
+			Makefile.inc || die
+		LIBADD="${LIBADD} $($(tc-getPKG_CONFIG) --libs parmetis)"
+		ord="${ord} -Dparmetis"
+	elif use metis; then
+		sed -i \
+			-e "s;#\s*\(LMETIS\s*=\).*;\1$($(tc-getPKG_CONFIG) --libs metis);" \
+			-e "s;#\s*\(IMETIS\s*=\).*;\1$($(tc-getPKG_CONFIG) --cflags metis);" \
+			Makefile.inc || die
+		LIBADD="${LIBADD} $($(tc-getPKG_CONFIG) --libs metis)"
+		ord="${ord} -Dmetis"
+	fi
+	if use scotch && use mpi; then
+		sed -i \
+			-e "s;#\s*\(LSCOTCH\s*=\).*;\1-lptesmumps -lptscotch -lptscotcherr;" \
+			-e "s;#\s*\(ISCOTCH\s*=\).*;\1-I${ESYSROOT}/usr/include/scotch;" \
+			Makefile.inc || die
+		LIBADD="${LIBADD} -lptesmumps -lptscotch -lptscotcherr"
+		ord="${ord} -Dptscotch"
+	elif use scotch; then
+		sed -i \
+			-e "s;#\s*\(LSCOTCH\s*=\).*;\1-lesmumps -lscotch -lscotcherr;" \
+			-e "s;#\s*\(ISCOTCH\s*=\).*;\1-I${ESYSROOT}/usr/include/scotch;" \
+			Makefile.inc || die
+		LIBADD="${LIBADD} -lesmumps -lscotch -lscotcherr"
+		ord="${ord} -Dscotch"
+	fi
+	if use mpi; then
+		sed -i \
+			-e "s;^\(CC\s*=\).*;\1mpicc;" \
+			-e "s;^\(FC\s*=\).*;\1mpif90;" \
+			-e "s;^\(FL\s*=\).*;\1mpif90;" \
+			-e "s;^\(SCALAP\s*=\).*;\1$($(tc-getPKG_CONFIG) --libs scalapack);" \
+			Makefile.inc || die
+		export LINK=mpif90
+		LIBADD="${LIBADD} $($(tc-getPKG_CONFIG) --libs scalapack)"
+	else
+		sed -i \
+			-e 's;-Llibseq;-L$(topdir)/libseq;' \
+			-e 's;PAR);SEQ);g' \
+			-e "s;^\(SCALAP\s*=\).*;\1;" \
+			-e 's;^LIBSEQNEEDED =;LIBSEQNEEDED = libseqneeded;g' \
+			Makefile.inc || die
+		export LINK="$(tc-getFC)"
+	fi
+	sed -i -e "s;^\s*\(ORDERINGSF\s*=\).*;\1 ${ord};" Makefile.inc || die
+}
+
+src_compile() {
+	# Workaround #462602
+	export FAKEROOTKEY=1
+
+	# -j1 because of static archive race
+	emake -j1 alllib PIC="-fPIC"
+	if ! use mpi; then
+		#$(tc-getAR) crs lib/libmumps_common.a libseq/*.o || die
+		LIBADD+=" -Llibseq -lmpiseq"
+		static_to_shared libseq/libmpiseq.a
+	fi
+
+	static_to_shared lib/libpord.a ${LIBADD}
+	static_to_shared lib/libmumps_common.a ${LIBADD}
+
+	local i
+	for i in c d s z; do
+		static_to_shared lib/lib${i}mumps.a -Llib -lmumps_common ${LIBADD}
+	done
+
+	if use static-libs; then
+		emake clean
+		emake -j1 alllib
+	fi
+}
+
+src_test() {
+	emake all
+
+	local dotest
+	if use mpi; then
+		dotest="mpirun -np 2"
+	else
+		export LD_LIBRARY_PATH="${S}/libseq:${LD_LIBRARY_PATH}"
+	fi
+
+	cd examples
+	${dotest} ./ssimpletest < input_simpletest_real || die
+	${dotest} ./dsimpletest < input_simpletest_real || die
+	${dotest} ./csimpletest < input_simpletest_cmplx || die
+	${dotest} ./zsimpletest < input_simpletest_cmplx || die
+	einfo "The solutions should be close to (1,2,3,4,5)"
+	${dotest} ./c_example || die
+	einfo "The solution should be close to (1,2)"
+	emake clean
+}
+
+src_install() {
+	dolib.so lib/lib*$(get_libname)*
+	use static-libs && dolib.a lib/lib*.a
+	insinto /usr
+
+	doins -r include
+	if ! use mpi; then
+		dolib.so libseq/lib*$(get_libname)*
+		insinto /usr/include/mpiseq
+		doins libseq/*.h
+		use static-libs && dolib.a libseq/libmpiseq.a
+	fi
+
+	dodoc README ChangeLog VERSION
+	use doc && dodoc doc/*.pdf
+	if use examples; then
+		dodoc -r examples
+	fi
+}


^ permalink raw reply related	[flat|nested] 19+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-libs/mumps/
@ 2021-01-02  7:02 Sam James
  0 siblings, 0 replies; 19+ messages in thread
From: Sam James @ 2021-01-02  7:02 UTC (permalink / raw
  To: gentoo-commits

commit:     6b3a4ffa459c89192b14d3c910002f4069146f09
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Jan  2 07:02:26 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Jan  2 07:02:26 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6b3a4ffa

sci-libs/mumps: drop -j1

This is supposedly fixed upstream and works fine here.

Package-Manager: Portage-3.0.12, Repoman-3.0.2
Signed-off-by: Sam James <sam <AT> gentoo.org>

 sci-libs/mumps/mumps-5.3.5.ebuild | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

diff --git a/sci-libs/mumps/mumps-5.3.5.ebuild b/sci-libs/mumps/mumps-5.3.5.ebuild
index d88be408e3f..9c2b70d7f00 100644
--- a/sci-libs/mumps/mumps-5.3.5.ebuild
+++ b/sci-libs/mumps/mumps-5.3.5.ebuild
@@ -141,8 +141,7 @@ src_compile() {
 	# Workaround #462602
 	export FAKEROOTKEY=1
 
-	# -j1 because of static archive race
-	emake -j1 alllib PIC="-fPIC"
+	emake alllib PIC="-fPIC"
 	if ! use mpi; then
 		#$(tc-getAR) crs lib/libmumps_common.a libseq/*.o || die
 		LIBADD+=" -Llibseq -lmpiseq"
@@ -159,7 +158,7 @@ src_compile() {
 
 	if use static-libs; then
 		emake clean
-		emake -j1 alllib
+		emake alllib
 	fi
 }
 


^ permalink raw reply related	[flat|nested] 19+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-libs/mumps/
@ 2021-01-02  7:02 Sam James
  0 siblings, 0 replies; 19+ messages in thread
From: Sam James @ 2021-01-02  7:02 UTC (permalink / raw
  To: gentoo-commits

commit:     19f9ce40925db25b1d735a7f7e45ea78e24bd0d0
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Jan  2 07:02:36 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Jan  2 07:02:36 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=19f9ce40

sci-libs/mumps: cleanup old

Package-Manager: Portage-3.0.12, Repoman-3.0.2
Signed-off-by: Sam James <sam <AT> gentoo.org>

 sci-libs/mumps/Manifest           |   1 -
 sci-libs/mumps/mumps-5.3.3.ebuild | 201 --------------------------------------
 2 files changed, 202 deletions(-)

diff --git a/sci-libs/mumps/Manifest b/sci-libs/mumps/Manifest
index ef756342a87..1e1a3ef905b 100644
--- a/sci-libs/mumps/Manifest
+++ b/sci-libs/mumps/Manifest
@@ -1,3 +1,2 @@
 DIST MUMPS_5.1.2.tar.gz 3351215 BLAKE2B 1c77c2a217c101245a9a96a59be6b9bfd67ceffa603d807b5a7173026c5c33e2c4de78c14833d7b7f0a90130b9ebc0ac9c7d4ebfbf881d0bd2210a542887c239 SHA512 38a63b14a8df835be68b5fa310b39aa1815799220d56c176e4005797800959e9e08c9a6bf11d308ab82ea40b6f34d36072cebe7c1de39e0c314eb138b93f1b74
-DIST MUMPS_5.3.3.tar.gz 3912935 BLAKE2B 03b88e23b8dd49832c43aef4717edd440328ca7c63eed9005a6baa008090f63089e7a259fb8091ce462e249196c2a1de0ec1e864173e3ecc3265d5a9cef8b869 SHA512 fb2da6acfd0a413ed5a9b2ea346a191ecea4a057f26a8c3b8ed2400843753a354055eb911e53d9f6ed5a6818e653ab926579c1a4a261b791c5ae421fcd5a7945
 DIST MUMPS_5.3.5.tar.gz 3940501 BLAKE2B f1767483bb23744a2c5ed11b0823c5b023377d5212abbe29a177cce5b5e51e6f2f391d7caa17022646e36c9e4b4fb4af80b03ac6cf8e89f37502ed960138bbbe SHA512 6e3bb081f38af8540ada7b4fb54c6e766739c854e2a3dd253e3e012eee05dae30064b1b4a8d7493f10691725aba4cc9e80544b0fe5b71670cb0b2726ccfc4439

diff --git a/sci-libs/mumps/mumps-5.3.3.ebuild b/sci-libs/mumps/mumps-5.3.3.ebuild
deleted file mode 100644
index 43b0f37be67..00000000000
--- a/sci-libs/mumps/mumps-5.3.3.ebuild
+++ /dev/null
@@ -1,201 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit fortran-2 toolchain-funcs
-
-MYP=MUMPS_${PV}
-
-DESCRIPTION="MUltifrontal Massively Parallel sparse direct matrix Solver"
-HOMEPAGE="http://mumps.enseeiht.fr/"
-SRC_URI="http://mumps.enseeiht.fr/${MYP}.tar.gz"
-S="${WORKDIR}/${MYP}"
-
-LICENSE="public-domain"
-SLOT="0"
-KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
-IUSE="doc examples metis mpi +scotch static-libs"
-
-BDEPEND="virtual/pkgconfig"
-RDEPEND="
-	virtual/blas
-	metis? (
-		   || ( >=sci-libs/metis-5 >=sci-libs/parmetis-4 )
-		   mpi? ( >=sci-libs/parmetis-4 )
-	)
-	mpi? ( sci-libs/scalapack )
-	scotch? ( >=sci-libs/scotch-6.0.1:=[mpi=] )
-"
-DEPEND="${RDEPEND}"
-
-get_version_component_count() {
-	local cnt=( $(ver_rs 1- ' ') )
-	echo ${#cnt[@]} || die
-}
-
-static_to_shared() {
-	local libstatic=${1}
-	shift
-	local libname=$(basename ${libstatic%.a})
-	local soname=${libname}$(get_libname $(ver_cut 1-2))
-	local libdir=$(dirname ${libstatic})
-
-	einfo "Making ${soname} from ${libstatic}"
-	if [[ ${CHOST} == *-darwin* ]] ; then
-		${LINK:-$(tc-getCC)} ${LDFLAGS}  \
-			-dynamiclib -install_name "${EPREFIX}"/usr/lib/"${soname}" \
-			-Wl,-all_load -Wl,${libstatic} \
-			"$@" -o ${libdir}/${soname} || die "${soname} failed"
-	else
-		${LINK:-$(tc-getCC)} ${LDFLAGS}  \
-			-shared -Wl,-soname=${soname} \
-			-Wl,--whole-archive ${libstatic} -Wl,--no-whole-archive \
-			"$@" -o ${libdir}/${soname} || die "${soname} failed"
-
-		if [[ $(get_version_component_count) -ge 1 ]] ; then
-			ln -s ${soname} ${libdir}/${libname}$(get_libname $(ver_cut 1)) || die
-		fi
-
-		ln -s ${soname} ${libdir}/${libname}$(get_libname) || die
-	fi
-}
-
-src_prepare() {
-	sed -e "s;^\(CC\s*=\).*;\1$(tc-getCC);" \
-		-e "s;^\(FC\s*=\).*;\1$(tc-getFC);" \
-		-e "s;^\(FL\s*=\).*;\1$(tc-getFC);" \
-		-e "s;^\(AR\s*=\).*;\1$(tc-getAR) cr ;" \
-		-e "s;^\(RANLIB\s*=\).*;\1$(tc-getRANLIB);" \
-		-e "s;^\(LIBBLAS\s*=\).*;\1$($(tc-getPKG_CONFIG) --libs blas);" \
-		-e "s;^\(INCPAR\s*=\).*;\1;" \
-		-e 's;^\(LIBPAR\s*=\).*;\1$(SCALAP);' \
-		-e "s;^\(OPTF\s*=\).*;\1${FFLAGS} -DALLOW_NON_INIT \$(PIC);" \
-		-e "s;^\(OPTC\s*=\).*;\1${CFLAGS} \$(PIC);" \
-		-e "s;^\(OPTL\s*=\).*;\1${LDFLAGS};" \
-		Make.inc/Makefile.inc.generic > Makefile.inc || die
-	# fixed a missing copy of libseq to libdir
-
-	default
-}
-
-src_configure() {
-	LIBADD="$($(tc-getPKG_CONFIG) --libs blas) -Llib -lpord"
-	local ord="-Dpord"
-	if use metis && use mpi; then
-		sed -i \
-			-e "s;#\s*\(LMETIS\s*=\).*;\1$($(tc-getPKG_CONFIG) --libs parmetis);" \
-			-e "s;#\s*\(IMETIS\s*=\).*;\1$($(tc-getPKG_CONFIG) --cflags parmetis);" \
-			Makefile.inc || die
-		LIBADD="${LIBADD} $($(tc-getPKG_CONFIG) --libs parmetis)"
-		ord="${ord} -Dparmetis"
-	elif use metis; then
-		sed -i \
-			-e "s;#\s*\(LMETIS\s*=\).*;\1$($(tc-getPKG_CONFIG) --libs metis);" \
-			-e "s;#\s*\(IMETIS\s*=\).*;\1$($(tc-getPKG_CONFIG) --cflags metis);" \
-			Makefile.inc || die
-		LIBADD="${LIBADD} $($(tc-getPKG_CONFIG) --libs metis)"
-		ord="${ord} -Dmetis"
-	fi
-	if use scotch && use mpi; then
-		sed -i \
-			-e "s;#\s*\(LSCOTCH\s*=\).*;\1-lptesmumps -lptscotch -lptscotcherr;" \
-			-e "s;#\s*\(ISCOTCH\s*=\).*;\1-I${ESYSROOT}/usr/include/scotch;" \
-			Makefile.inc || die
-		LIBADD="${LIBADD} -lptesmumps -lptscotch -lptscotcherr"
-		ord="${ord} -Dptscotch"
-	elif use scotch; then
-		sed -i \
-			-e "s;#\s*\(LSCOTCH\s*=\).*;\1-lesmumps -lscotch -lscotcherr;" \
-			-e "s;#\s*\(ISCOTCH\s*=\).*;\1-I${ESYSROOT}/usr/include/scotch;" \
-			Makefile.inc || die
-		LIBADD="${LIBADD} -lesmumps -lscotch -lscotcherr"
-		ord="${ord} -Dscotch"
-	fi
-	if use mpi; then
-		sed -i \
-			-e "s;^\(CC\s*=\).*;\1mpicc;" \
-			-e "s;^\(FC\s*=\).*;\1mpif90;" \
-			-e "s;^\(FL\s*=\).*;\1mpif90;" \
-			-e "s;^\(SCALAP\s*=\).*;\1$($(tc-getPKG_CONFIG) --libs scalapack);" \
-			Makefile.inc || die
-		export LINK=mpif90
-		LIBADD="${LIBADD} $($(tc-getPKG_CONFIG) --libs scalapack)"
-	else
-		sed -i \
-			-e 's;-Llibseq;-L$(topdir)/libseq;' \
-			-e 's;PAR);SEQ);g' \
-			-e "s;^\(SCALAP\s*=\).*;\1;" \
-			-e 's;^LIBSEQNEEDED =;LIBSEQNEEDED = libseqneeded;g' \
-			Makefile.inc || die
-		export LINK="$(tc-getFC)"
-	fi
-	sed -i -e "s;^\s*\(ORDERINGSF\s*=\).*;\1 ${ord};" Makefile.inc || die
-}
-
-src_compile() {
-	# Workaround #462602
-	export FAKEROOTKEY=1
-
-	# -j1 because of static archive race
-	emake -j1 alllib PIC="-fPIC"
-	if ! use mpi; then
-		#$(tc-getAR) crs lib/libmumps_common.a libseq/*.o || die
-		LIBADD+=" -Llibseq -lmpiseq"
-		static_to_shared libseq/libmpiseq.a
-	fi
-
-	static_to_shared lib/libpord.a ${LIBADD}
-	static_to_shared lib/libmumps_common.a ${LIBADD}
-
-	local i
-	for i in c d s z; do
-		static_to_shared lib/lib${i}mumps.a -Llib -lmumps_common ${LIBADD}
-	done
-
-	if use static-libs; then
-		emake clean
-		emake -j1 alllib
-	fi
-}
-
-src_test() {
-	emake all
-
-	local dotest
-	if use mpi; then
-		dotest="mpirun -np 2"
-	else
-		export LD_LIBRARY_PATH="${S}/libseq:${LD_LIBRARY_PATH}"
-	fi
-
-	cd examples
-	${dotest} ./ssimpletest < input_simpletest_real || die
-	${dotest} ./dsimpletest < input_simpletest_real || die
-	${dotest} ./csimpletest < input_simpletest_cmplx || die
-	${dotest} ./zsimpletest < input_simpletest_cmplx || die
-	einfo "The solutions should be close to (1,2,3,4,5)"
-	${dotest} ./c_example || die
-	einfo "The solution should be close to (1,2)"
-	emake clean
-}
-
-src_install() {
-	dolib.so lib/lib*$(get_libname)*
-	use static-libs && dolib.a lib/lib*.a
-	insinto /usr
-
-	doins -r include
-	if ! use mpi; then
-		dolib.so libseq/lib*$(get_libname)*
-		insinto /usr/include/mpiseq
-		doins libseq/*.h
-		use static-libs && dolib.a libseq/libmpiseq.a
-	fi
-
-	dodoc README ChangeLog VERSION
-	use doc && dodoc doc/*.pdf
-	if use examples; then
-		dodoc -r examples
-	fi
-}


^ permalink raw reply related	[flat|nested] 19+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-libs/mumps/
@ 2021-04-07  5:24 Sam James
  0 siblings, 0 replies; 19+ messages in thread
From: Sam James @ 2021-04-07  5:24 UTC (permalink / raw
  To: gentoo-commits

commit:     4a665e7b736e2b5fd3e2d515ef7b4988623699a0
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Apr  7 02:42:10 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Apr  7 05:24:25 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4a665e7b

sci-libs/mumps: prefix helper get_version_component_count with _

Avoids false positives with pkgcheck's MissingInherits. This
is a helper function to emulate versionator.eclass, it's not
a missing inherit.

Signed-off-by: Sam James <sam <AT> gentoo.org>

 sci-libs/mumps/mumps-5.3.5.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/sci-libs/mumps/mumps-5.3.5.ebuild b/sci-libs/mumps/mumps-5.3.5.ebuild
index 75cf031e52c..23e0f15d16a 100644
--- a/sci-libs/mumps/mumps-5.3.5.ebuild
+++ b/sci-libs/mumps/mumps-5.3.5.ebuild
@@ -29,7 +29,7 @@ RDEPEND="
 "
 DEPEND="${RDEPEND}"
 
-get_version_component_count() {
+_get_version_component_count() {
 	local cnt=( $(ver_rs 1- ' ') )
 	echo ${#cnt[@]} || die
 }
@@ -53,7 +53,7 @@ static_to_shared() {
 			-Wl,--whole-archive ${libstatic} -Wl,--no-whole-archive \
 			"$@" -o ${libdir}/${soname} || die "${soname} failed"
 
-		if [[ $(get_version_component_count) -ge 1 ]] ; then
+		if [[ $(_get_version_component_count) -ge 1 ]] ; then
 			ln -s ${soname} ${libdir}/${libname}$(get_libname $(ver_cut 1)) || die
 		fi
 


^ permalink raw reply related	[flat|nested] 19+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-libs/mumps/
@ 2021-04-07  5:24 Sam James
  0 siblings, 0 replies; 19+ messages in thread
From: Sam James @ 2021-04-07  5:24 UTC (permalink / raw
  To: gentoo-commits

commit:     a93336ff1ca0d7906d54b3361378b804c6f788dd
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Apr  7 02:41:25 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Apr  7 05:24:24 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a93336ff

sci-libs/mumps: add multilib inherit for get_libname

Signed-off-by: Sam James <sam <AT> gentoo.org>

 sci-libs/mumps/mumps-5.3.5.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/sci-libs/mumps/mumps-5.3.5.ebuild b/sci-libs/mumps/mumps-5.3.5.ebuild
index 9c2b70d7f00..75cf031e52c 100644
--- a/sci-libs/mumps/mumps-5.3.5.ebuild
+++ b/sci-libs/mumps/mumps-5.3.5.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=7
 
-inherit fortran-2 flag-o-matic toolchain-funcs
+inherit fortran-2 flag-o-matic multilib toolchain-funcs
 
 MYP=MUMPS_${PV}
 


^ permalink raw reply related	[flat|nested] 19+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-libs/mumps/
@ 2021-09-07 17:56 Michael Orlitzky
  0 siblings, 0 replies; 19+ messages in thread
From: Michael Orlitzky @ 2021-09-07 17:56 UTC (permalink / raw
  To: gentoo-commits

commit:     c6902b80403a506ebe337818c849f7d468294927
Author:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
AuthorDate: Tue Sep  7 17:53:50 2021 +0000
Commit:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
CommitDate: Tue Sep  7 17:54:41 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c6902b80

sci-libs/mumps: new revision to fix more underlinking.

When building without USE=mpi, the various lib*mumps libraries use
LAPACK symbols without actually linking to liblapack. There are
already a bunch of hacks in the mumps ebuild to work around these
issues, so all I've done is add one more. As a simple test case,
you can try to run the test suite for sci-libs/coinor-clp with
USE="mumps metis", which now works.

Closes: https://bugs.gentoo.org/777840
Package-Manager: Portage-3.0.20, Repoman-3.0.3
Signed-off-by: Michael Orlitzky <mjo <AT> gentoo.org>

 sci-libs/mumps/{mumps-5.3.5.ebuild => mumps-5.3.5-r1.ebuild} | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/sci-libs/mumps/mumps-5.3.5.ebuild b/sci-libs/mumps/mumps-5.3.5-r1.ebuild
similarity index 97%
rename from sci-libs/mumps/mumps-5.3.5.ebuild
rename to sci-libs/mumps/mumps-5.3.5-r1.ebuild
index 76f2dbe8d4d..8f970661e82 100644
--- a/sci-libs/mumps/mumps-5.3.5.ebuild
+++ b/sci-libs/mumps/mumps-5.3.5-r1.ebuild
@@ -25,6 +25,7 @@ RDEPEND="
 		mpi? ( >=sci-libs/parmetis-4 )
 	)
 	mpi? ( sci-libs/scalapack )
+	!mpi? ( virtual/lapack )
 	scotch? ( >=sci-libs/scotch-6.0.1:=[mpi=] )
 "
 DEPEND="${RDEPEND}"
@@ -83,6 +84,8 @@ src_prepare() {
 }
 
 src_configure() {
+	# We abuse LIBADD here to work around the fact that MUMPS is criminally
+	# underlinked.
 	LIBADD="$($(tc-getPKG_CONFIG) --libs blas) -Llib -lpord"
 	local ord="-Dpord"
 
@@ -132,6 +135,7 @@ src_configure() {
 			-e "s;^\(SCALAP\s*=\).*;\1;" \
 			-e 's;^LIBSEQNEEDED =;LIBSEQNEEDED = libseqneeded;g' \
 			Makefile.inc || die
+		LIBADD="${LIBADD} $($(tc-getPKG_CONFIG) --libs lapack)"
 		export LINK="$(tc-getFC)"
 	fi
 	sed -i -e "s;^\s*\(ORDERINGSF\s*=\).*;\1 ${ord};" Makefile.inc || die


^ permalink raw reply related	[flat|nested] 19+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-libs/mumps/
@ 2022-12-04  9:23 WANG Xuerui
  0 siblings, 0 replies; 19+ messages in thread
From: WANG Xuerui @ 2022-12-04  9:23 UTC (permalink / raw
  To: gentoo-commits

commit:     2b89ac11dbfb8778c386b428cdd4fb6b25e00760
Author:     WANG Xuerui <xen0n <AT> gentoo <DOT> org>
AuthorDate: Sat Dec  3 10:13:26 2022 +0000
Commit:     WANG Xuerui <xen0n <AT> gentoo <DOT> org>
CommitDate: Sun Dec  4 09:22:26 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2b89ac11

sci-libs/mumps: keyword 5.3.5-r1 for ~loong

Signed-off-by: WANG Xuerui <xen0n <AT> gentoo.org>

 sci-libs/mumps/mumps-5.3.5-r1.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/sci-libs/mumps/mumps-5.3.5-r1.ebuild b/sci-libs/mumps/mumps-5.3.5-r1.ebuild
index 8f970661e820..76020a68524a 100644
--- a/sci-libs/mumps/mumps-5.3.5-r1.ebuild
+++ b/sci-libs/mumps/mumps-5.3.5-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -14,7 +14,7 @@ S="${WORKDIR}/${MYP}"
 
 LICENSE="public-domain"
 SLOT="0"
-KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~amd64 ~loong ~x86 ~amd64-linux ~x86-linux"
 IUSE="doc examples metis mpi +scotch static-libs"
 
 BDEPEND="virtual/pkgconfig"


^ permalink raw reply related	[flat|nested] 19+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-libs/mumps/
@ 2023-01-02 18:42 Matthias Maier
  0 siblings, 0 replies; 19+ messages in thread
From: Matthias Maier @ 2023-01-02 18:42 UTC (permalink / raw
  To: gentoo-commits

commit:     611d86f7df9ed465e8a98fd8000876bab2768f55
Author:     Matthias Maier <tamiko <AT> gentoo <DOT> org>
AuthorDate: Mon Jan  2 18:42:27 2023 +0000
Commit:     Matthias Maier <tamiko <AT> gentoo <DOT> org>
CommitDate: Mon Jan  2 18:42:50 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=611d86f7

sci-libs/mumps: avoid a race condition

Closes: https://bugs.gentoo.org/889072
Signed-off-by: Matthias Maier <tamiko <AT> gentoo.org>

 sci-libs/mumps/mumps-5.3.5-r1.ebuild | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/sci-libs/mumps/mumps-5.3.5-r1.ebuild b/sci-libs/mumps/mumps-5.3.5-r1.ebuild
index 76020a68524a..7afc88c08537 100644
--- a/sci-libs/mumps/mumps-5.3.5-r1.ebuild
+++ b/sci-libs/mumps/mumps-5.3.5-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -145,7 +145,8 @@ src_compile() {
 	# Workaround #462602
 	export FAKEROOTKEY=1
 
-	emake alllib PIC="-fPIC"
+	# Use "-j1" to avoid a spurious race condition
+	emake -j1 alllib PIC="-fPIC"
 	if ! use mpi; then
 		#$(tc-getAR) crs lib/libmumps_common.a libseq/*.o || die
 		LIBADD+=" -Llibseq -lmpiseq"


^ permalink raw reply related	[flat|nested] 19+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-libs/mumps/
@ 2023-03-07  0:18 Yixun Lan
  0 siblings, 0 replies; 19+ messages in thread
From: Yixun Lan @ 2023-03-07  0:18 UTC (permalink / raw
  To: gentoo-commits

commit:     aeefd08c58320d1fa70670eb20fed49a429c7037
Author:     Yixun Lan <dlan <AT> gentoo <DOT> org>
AuthorDate: Mon Mar  6 11:38:17 2023 +0000
Commit:     Yixun Lan <dlan <AT> gentoo <DOT> org>
CommitDate: Tue Mar  7 00:14:48 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=aeefd08c

sci-libs/mumps: Keyword 5.3.5-r1 riscv, #881389

Signed-off-by: Yixun Lan <dlan <AT> gentoo.org>

 sci-libs/mumps/mumps-5.3.5-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/sci-libs/mumps/mumps-5.3.5-r1.ebuild b/sci-libs/mumps/mumps-5.3.5-r1.ebuild
index 7afc88c08537..8e6488b38200 100644
--- a/sci-libs/mumps/mumps-5.3.5-r1.ebuild
+++ b/sci-libs/mumps/mumps-5.3.5-r1.ebuild
@@ -14,7 +14,7 @@ S="${WORKDIR}/${MYP}"
 
 LICENSE="public-domain"
 SLOT="0"
-KEYWORDS="~amd64 ~loong ~x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~amd64 ~loong ~riscv ~x86 ~amd64-linux ~x86-linux"
 IUSE="doc examples metis mpi +scotch static-libs"
 
 BDEPEND="virtual/pkgconfig"


^ permalink raw reply related	[flat|nested] 19+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-libs/mumps/
@ 2024-03-21  3:16 Sam James
  0 siblings, 0 replies; 19+ messages in thread
From: Sam James @ 2024-03-21  3:16 UTC (permalink / raw
  To: gentoo-commits

commit:     10940cbcc0a600967ac4937e420632b5ef72867f
Author:     Eli Schwartz <eschwartz93 <AT> gmail <DOT> com>
AuthorDate: Thu Mar 21 01:52:39 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Mar 21 03:16:05 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=10940cbc

sci-libs/mumps: update HOMEPAGE, SRC_URI

The previous upstream website was dead, but in fact it just has a new
domain and the old domain doesn't exist anymore.

Signed-off-by: Eli Schwartz <eschwartz93 <AT> gmail.com>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 sci-libs/mumps/mumps-5.3.5-r1.ebuild | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/sci-libs/mumps/mumps-5.3.5-r1.ebuild b/sci-libs/mumps/mumps-5.3.5-r1.ebuild
index 8e6488b38200..705a251a15d6 100644
--- a/sci-libs/mumps/mumps-5.3.5-r1.ebuild
+++ b/sci-libs/mumps/mumps-5.3.5-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -8,8 +8,8 @@ inherit fortran-2 flag-o-matic multilib toolchain-funcs
 MYP=MUMPS_${PV}
 
 DESCRIPTION="MUltifrontal Massively Parallel sparse direct matrix Solver"
-HOMEPAGE="http://mumps.enseeiht.fr/"
-SRC_URI="http://mumps.enseeiht.fr/${MYP}.tar.gz"
+HOMEPAGE="https://mumps-solver.org/"
+SRC_URI="https://mumps-solver.org/${MYP}.tar.gz"
 S="${WORKDIR}/${MYP}"
 
 LICENSE="public-domain"


^ permalink raw reply related	[flat|nested] 19+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-libs/mumps/
@ 2024-03-21  5:58 Sam James
  0 siblings, 0 replies; 19+ messages in thread
From: Sam James @ 2024-03-21  5:58 UTC (permalink / raw
  To: gentoo-commits

commit:     3b05cbc43c32d8c519df31a6ccabd17ebd0d6d19
Author:     Eli Schwartz <eschwartz93 <AT> gmail <DOT> com>
AuthorDate: Thu Mar 21 03:05:50 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Mar 21 05:57:37 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3b05cbc4

sci-libs/mumps: mark as LTO-unsafe, strict-aliasing unsafe

I would like to report this upstream. However, the only contact method
is their mailing list. And their mailing list may or may not work -- I
find it hard to tell because I've never seen the interface before, but
it is mostly in French and the bit that I recognized doesn't seem to
have working links to e.g. the archive.

Closes: https://bugs.gentoo.org/862903
Signed-off-by: Eli Schwartz <eschwartz93 <AT> gmail.com>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 sci-libs/mumps/mumps-5.3.5-r1.ebuild | 10 ++++++++++
 1 file changed, 10 insertions(+)

diff --git a/sci-libs/mumps/mumps-5.3.5-r1.ebuild b/sci-libs/mumps/mumps-5.3.5-r1.ebuild
index 705a251a15d6..8df93f5e4e8c 100644
--- a/sci-libs/mumps/mumps-5.3.5-r1.ebuild
+++ b/sci-libs/mumps/mumps-5.3.5-r1.ebuild
@@ -63,6 +63,16 @@ static_to_shared() {
 }
 
 src_prepare() {
+	# -Werror=strict-aliasing
+	# https://bugs.gentoo.org/862903
+	#
+	# There is an upstream mailing list but it seems to be broken. I *think*,
+	# because it's all in French. I tried and failed to report the bug.
+	#
+	# Do not trust with LTO either.
+	append-flags -fno-strict-aliasing
+	filter-lto
+
 	# workaround for gcc10 (bug #743442)
 	append-fflags $(test-flags-FC -fallow-argument-mismatch)
 


^ permalink raw reply related	[flat|nested] 19+ messages in thread

end of thread, other threads:[~2024-03-21  5:58 UTC | newest]

Thread overview: 19+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2018-10-08 17:56 [gentoo-commits] repo/gentoo:master commit in: sci-libs/mumps/ Matthias Maier
  -- strict thread matches above, loose matches on Subject: below --
2018-11-26  0:31 Matthias Maier
2018-11-26  0:36 Matthias Maier
2018-11-26  0:36 Matthias Maier
2020-09-18 16:47 Sam James
2020-09-18 16:47 Sam James
2020-09-18 16:58 Sam James
2020-09-18 22:27 Sam James
2021-01-02  7:02 Sam James
2021-01-02  7:02 Sam James
2021-01-02  7:02 Sam James
2021-04-07  5:24 Sam James
2021-04-07  5:24 Sam James
2021-09-07 17:56 Michael Orlitzky
2022-12-04  9:23 WANG Xuerui
2023-01-02 18:42 Matthias Maier
2023-03-07  0:18 Yixun Lan
2024-03-21  3:16 Sam James
2024-03-21  5:58 Sam James

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox